Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

## ldapDrivers

Description

Located in /inc/drivers_ldap.php (line 16)

Method Summary
ldapDrivers __construct (array $config)
void getAllGroups ( $attributes)
void getAllUsers ( $attributes)
array requestUser (string $filter, [array $attributes = NULL], $username, string $passwd)
Methods
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
Constructor __construct (line 35)

Initializes the LDAP connection

ldapDrivers __construct (array $config)

- array $config: The configuration data

getAllGroups (line 147)

Retrieve all groups from the LDAP directory

void getAllGroups ( $attributes)

- $attributes

getAllUsers (line 116)

Retrieve all users from the LDAP directory

void getAllUsers ( $attributes)

- $attributes

requestUser (line 182)

Returns the result of the LDAP query

- return: Contains selected attributes from all entries corresponding to the given filter

array requestUser (string $filter, [array $attributes = NULL], $username, string $passwd)

- string $filter: The filter used to search entries
- array $attributes: Attributes to be returned
- string $passwd: password to check
- $username

Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

Documentation generated on Wed, 04 Jul 2012 10:13:08 +0000 by phpDocumentor 1.4.3